Redmine - Feature #4382

[Refactor] Move autocomplete methods to an AutocompleteController
2009-12-11 02:47 - Eric Davis

Status: New Start date: 2009-12-11
Priority: Normal Due date:

Assignee: % Done: 20%
Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:

Resolution:

Description

If the Autocomplete methods are moved to a common AutocompleteController, it would be easier to share them with different parts of

Redmine. This would make adding things like an issue autocomplete for the Issue Relations trivial.

Related issues:
Related to Redmine - Feature #3170: Autocomplete issue relations on subject Closed 2009-04-14
Related to Redmine - Feature #4325: Quick Issue Reference Closed 2009-12-03

Associated revisions

Revision 3945 - 2010-08-17 17:03 - Eric Davis

Refactor: move IssuesController#tauto_complete to a new controller. #4382

History

#1 - 2009-12-11 02:48 - Eric Davis

- Category set to Code cleanup/refactoring

#2 - 2010-01-15 19:03 - Richard Schulte

+1 as it relates to #4325, and all the other wonderful possibilities that could come of it!

#3 - 2010-06-30 03:08 - Eric Davis
- Target version changed from 1.0.0 (RC) to 1.1.0

#4 - 2010-08-17 17:02 - Eric Davis
- Status changed from New to 7

- % Done changed from 0 to 20

Started on this in r3945 with the issues autocomplete.

#5 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

| am stepping down from working on Redmine. |f someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#6 - 2010-12-18 14:48 - Jean-Philippe Lang

- Target version changed from 1.1.0 to Unplanned backlogs

1.1 feature freeze.

#7 - 2011-03-03 20:23 - Etienne Massip

| don't think there should be an autocomplete dedicated controller with methods concerning issues, others categories, users, etc.

| think these autocomplete methods shoud stay in issue_controller, etc. and may use an autocomplete helper tightly linked to the application_helper.
https://www.redmine.org/issues/4325
https://www.redmine.org/projects/redmine/repository/svn/revisions/3945

#8 - 2012-02-05 21:38 - Jean-Philippe Lang
- Status changed from 7 to New

- Target version deleted (Unplanned backlogs)

#9 - 2013-01-12 20:06 - Daniel Felix
Hi,

any news on this older ticket? Any decision made?
